Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
des_tables_t Struct Reference

## Data Fields
C_block | PC1ROT [64/CHUNKBITS][1<< CHUNKBITS]
C_block | PC2ROT [2][64/CHUNKBITS][1<< CHUNKBITS]
C_block | IE3264 [32/CHUNKBITS][1<< CHUNKBITS]
unsigned long | SPE [2][8][64]
C_block | CF6464 [64/CHUNKBITS][1<< CHUNKBITS]
int | ready

## Detailed Description

Definition at line 336 of file crypt.c.

## Field Documentation

## ◆ CF6464

C_block des_tables_t::CF6464[64/CHUNKBITS][1<< CHUNKBITS]

Definition at line 350 of file crypt.c.

## ◆ IE3264

C_block des_tables_t::IE3264[32/CHUNKBITS][1<< CHUNKBITS]

Definition at line 344 of file crypt.c.

## ◆ PC1ROT

C_block des_tables_t::PC1ROT[64/CHUNKBITS][1<< CHUNKBITS]

Definition at line 338 of file crypt.c.

## ◆ PC2ROT

C_block des_tables_t::PC2ROT[2][64/CHUNKBITS][1<< CHUNKBITS]

Definition at line 341 of file crypt.c.

## ◆ ready

int des_tables_t::ready

Definition at line 352 of file crypt.c.

## ◆ SPE

unsigned long des_tables_t::SPE[2][8][64]

Definition at line 347 of file crypt.c.

The documentation for this struct was generated from the following file:

- missing/crypt.c